function p=sd1dkernel(x,c)
% this is the 1-D dispersal kernel being used
% it gives the total probability of dispersing to
% a distance x from the plant given
% dispersal parameter c
%
% INSTRUCTIONS: only one of these should be uncommented at a time.
% For Clark 2Dt kernel and ones below that, must uncomment the line giving the constant too
%
% 1-D Exponential
% p=c*exp(-c*x);
%
% 2-D Guassian
% p=(2*x/(c^2)) * exp(-(x/c)^2);
%
% 2-D Exponential
% p=(x/(c^2))*exp(-x/c);
%
% Wallace 1966 -- this is equivalent to the generalized exponential with exponent 1/2
% p=2*pi*x*(c^4)*exp(-c*(x^0.5))/(24*pi)
%
% Tufto et al. 1997 wind threshold model when directionality is taken out
% p=(c^0.5)*(x^(-1.5))*exp(-c*x)/(2*(pi^1.5))
%
% Clark 2Dt with one parameter fixed (value 1 used by Clark et al. 2004)
 Z=1
 p=2*x*Z/(c*((1+(x^2)/c)^(Z+1)))
%
% Weibull with the shape parameter fixed
% A=1
% p=(A/c)*(x/c)^(A-1)*exp(-(x/c)^A)
%
% generalized exponential with the exponent fixed
% IS THIS THE RIGHT NOTATION FOR GAMMA FUNCTIONS IN MATLAB?
% B=1
% p=x*exp(-(x^B)/c)/((1/B)*(c^(2/B))*gamma(2/B))
%
% inverse power with the lower and upper bound fixed
% L: below this x total radial seed rain fixed at value it has at L
% L=0.001;
% U: % above this x seed rain is assumed to be zero
% U=1000000.001;
% if (c==1)
%     a=1/(1+ln(U)+ln(L));
% else
%     a=(1-c)/(U^(1-c)-c*L^(1-c));
% end
% if (x<L)
%   p=a*(L^(-c));
% elseif (x<U)
%   p=a*(x^(-c));
% else
%   p=0;
% end
