function fitpars=dofitci(paramsinit,dists,seeds,errortype,fitborder,bordertype,circlerad)
% runfit.m FINDS THE DISPERSAL PARAMETER bestpar(1)=c
% and the fecundity parameter bestpar(2)=k
% and any other relevant parameters
% THAT BEST FITS THE DATA in dists and seeds
% and finds likelihood ratio test confidence intervals for each parameter
npars=length(paramsinit);

bestpar=fminsearch('totdev',paramsinit,[],dists,seeds,errortype,fitborder,bordertype,circlerad);
besttotdev=totdev(bestpar,dists,seeds,errortype,fitborder,bordertype,circlerad);
lopar=zeros(1,npars);
hipar=zeros(1,npars);

for i=1:npars
  for j=1:2
    %j=1 find the lower confidence interval; j=2 find the upper confidence interval
    usepar=bestpar;
    %first find a value that is beyond the confidence interval
    while (totdev(usepar,dists,seeds,errortype,fitborder,bordertype,circlerad)<besttotdev+1.92)
      if (j==1)
        usepar(i)=0.9*usepar(i);
      else
        usepar(i)=usepar(i)/0.9;
      end
    end
    
    % now minimize totdevci, which should find a value exactly the CI value (1.92) away from the max
    startcipar=usepar(i);
    cipar=fminsearch('totdevci',startcipar,[],i,bestpar,besttotdev,dists,seeds,errortype,fitborder,bordertype,circlerad);
    
    sprintf('found %i CI for parameter # %i: %g',j,i,cipar)
    
    % assign the found CI value to the proper place
    if (j==1)
      lopar(i)=cipar;
    else
      hipar(i)=cipar;
    end
      
  end
end

fitpars=[bestpar lopar hipar]
