function p=sd1dkernel(x,c1,c2)
% this is the 1-D dispersal kernel being used
% it gives the total probability of dispersing to
% a distance x from the plant given
% dispersal parameters c1 and c2
% Clark 2Dt
% p=2*x*c1/(abs(c2)*((1+(x^2)/abs(c2))^(c1+1)));
% generalized exponential
% p=x*exp(-(x^c1)/c2)/((1/c1)*(c2^(2/c1))*gamma(2/c1));
% 2-parameter Weibull
 p=(abs(c1)/abs(c2))*(x/abs(c2))^(abs(c1)-1)*exp(-(x/abs(c2))^abs(c1));
% lognormal
% p=(1/(sqrt(2*pi)*abs(c2)*x))*exp(-((log(x)-abs(c1))^2)/(2*abs(c2)^2));
